# PKGBUILDs

This repository contains my private PKGBUILDs. Some PKGBUILDs are also available
in the [AUR Repository](https://aur.archlinux.org/packages/?K=volker.raschek&SeB=m).
The compiled binaries can be pulled from my [repository](https://aur.cryptic.systems).

If you want to clone this repository, don't forget to checkout the git submodules.

```bash
git submodule update --init --recursive
```

## Import GPG Key

Import and trust my GPG-Key to verify the gpg signed packages.

```bash
pacman-key --recv-keys 9B146D11A9ED6CA7E279EB1A852BCC170D81A982
pacman-key --lsign 9B146D11A9ED6CA7E279EB1A852BCC170D81A982
```

## Any Repository

Add the [any](https://aur.cryptic.systems/any/) repository to the pacman.conf.

```bash
cat >> /etc/pacman.conf << 'EOF'

[cs_any]
Server = https://aur.cryptic.systems/any/
EOF
```

## x86_64 Repository

Add the [x86_64](https://aur.cryptic.systems/x86_64/) repository to the pacman.conf.

```bash
cat >> /etc/pacman.conf << 'EOF'

[cs_x86_64]
Server = https://aur.cryptic.systems/x86_64/
EOF
```

## armv7 Repository

Add the [armv7](https://aur.cryptic.systems/armv7/) repository to the pacman.conf.

```bash
cat >> /etc/pacman.conf << 'EOF'

[cs_armv7]
Server = https://aur.cryptic.systems/armv7/
EOF
```
